object frmBlockReadWrite: TfrmBlockReadWrite
  Left = 2422
  Height = 374
  Top = 103
  Width = 539
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'BlockReadWrite'
  ClientHeight = 374
  ClientWidth = 539
  Font.CharSet = ANSI_CHARSET
  Font.Color = clBlack
  Font.Height = -11
  Font.Name = 'Verdana'
  Font.Pitch = fpVariable
  Font.Quality = fqDraft
  OnCreate = FormCreate
  LCLVersion = '2.0.2.0'
  object txtxFunctionName: TStaticText
    Left = 0
    Height = 29
    Top = 0
    Width = 539
    Align = alTop
    Alignment = taCenter
    BorderStyle = sbsSunken
    Caption = 'BlockRead/Write(AKM1,AKM2,PK)'
    Color = clWhite
    Font.CharSet = ANSI_CHARSET
    Font.Color = clBlack
    Font.Height = -19
    Font.Name = 'Verdana'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    ParentColor = False
    TabOrder = 0
  end
  object pnlAuth: TPanel
    Left = 0
    Height = 33
    Top = 29
    Width = 539
    Align = alTop
    BorderStyle = bsSingle
    ClientHeight = 29
    ClientWidth = 535
    TabOrder = 1
    object lblKeyIndex: TLabel
      Left = 183
      Height = 13
      Top = 7
      Width = 59
      Caption = 'Key Index'
      Font.CharSet = ANSI_CHARSET
      Font.Color = clBlack
      Font.Height = -11
      Font.Name = 'Verdana'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object lblPKKey: TLabel
      Left = 293
      Height = 13
      Top = 7
      Width = 41
      Caption = 'PK Key'
      Font.CharSet = ANSI_CHARSET
      Font.Color = clBlack
      Font.Height = -11
      Font.Name = 'Verdana'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object rbAUTH1A: TRadioButton
      Cursor = crHandPoint
      Left = 9
      Height = 19
      Top = 6
      Width = 76
      Caption = 'AUTH 1A'
      Checked = True
      Font.CharSet = ANSI_CHARSET
      Font.Color = clBlack
      Font.Height = -11
      Font.Name = 'Verdana'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 0
      TabStop = True
    end
    object rbAUTH1B: TRadioButton
      Cursor = crHandPoint
      Left = 97
      Height = 19
      Top = 6
      Width = 75
      Caption = 'AUTH 1B'
      Font.CharSet = ANSI_CHARSET
      Font.Color = clBlack
      Font.Height = -11
      Font.Name = 'Verdana'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 1
    end
    object cboKeyIndex: TComboBox
      Cursor = crHandPoint
      Left = 247
      Height = 24
      Top = 3
      Width = 40
      DropDownCount = 31
      Font.CharSet = ANSI_CHARSET
      Font.Color = clBlack
      Font.Height = -13
      Font.Name = 'Verdana'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ItemHeight = 16
      ItemIndex = 0
      Items.Strings = (
        '0'
        '1'
        '2'
        '3'
        '4'
        '5'
        '6'
        '7'
        '8'
        '9'
        '10'
        '11'
        '12'
        '13'
        '14'
        '15'
        '16'
        '17'
        '18'
        '19'
        '20'
        '21'
        '22'
        '23'
        '24'
        '25'
        '26'
        '27'
        '28'
        '29'
        '30'
        '31'
      )
      ParentFont = False
      Style = csDropDownList
      TabOrder = 2
      Text = '0'
    end
  end
  object stbFunction: TStatusBar
    Left = 0
    Height = 23
    Top = 351
    Width = 539
    Align = alTop
    Panels = <    
      item
        Alignment = taCenter
        Text = 'Function Error:'
        Width = 108
      end    
      item
        Alignment = taCenter
        Width = 50
      end    
      item
        Alignment = taCenter
        Width = 50
      end>
    SimplePanel = False
  end
  object pgBlockReadWrite: TPageControl
    Left = 0
    Height = 289
    Top = 62
    Width = 539
    ActivePage = tabBlockRead
    Align = alTop
    TabIndex = 0
    TabOrder = 3
    object tabBlockRead: TTabSheet
      Caption = 'BlockRead'
      ClientHeight = 263
      ClientWidth = 531
      object pnlBlockReadAKM1: TPanel
        Left = 265
        Height = 124
        Top = 4
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 1
        object lblBRBlockAddressAKM1: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblReadData: TLabel
          Left = 6
          Height = 13
          Top = 75
          Width = 60
          Caption = 'Read Data'
          ParentColor = False
        end
        object lblBlockRead_AKM1: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockRead_AKM1'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockReadBlockAddressAKM1: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockReadAKM1: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 38
          Top = 27
          Width = 98
          Caption = 'READ'
          OnClick = btnBlockReadAKM1Click
          TabOrder = 1
        end
        object txtBlockReadAKM1: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          ReadOnly = True
          TabOrder = 2
        end
        object chkBRHexAKM1: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          OnChange = chkBRHexAKM1Change
          TabOrder = 4
        end
      end
      object pnlBlockReadAKM2: TPanel
        Left = 0
        Height = 124
        Top = 132
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 2
        object lblBRBlockAddressAKM2: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblBlockReadAKM2: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 60
          Caption = 'Read Data'
          ParentColor = False
        end
        object lblBlockRead_AKM2: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockRead_AKM2'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockReadBlockAddressAKM2: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockReadAKM2: TButton
          Cursor = crHandPoint
          Left = 147
          Height = 40
          Top = 27
          Width = 98
          Caption = 'READ'
          OnClick = btnBlockReadAKM2Click
          TabOrder = 1
        end
        object txtBlockReadAKM2: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          ReadOnly = True
          TabOrder = 2
        end
        object chkBRHexAKM2: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          OnChange = chkBRHexAKM2Change
          TabOrder = 4
        end
      end
      object pnlBlockReadPK: TPanel
        Left = 265
        Height = 123
        Top = 133
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 119
        ClientWidth = 257
        ParentColor = False
        TabOrder = 3
        object lblBRBlockAddressPK: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblBRReadDataPK: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 60
          Caption = 'Read Data'
          ParentColor = False
        end
        object lblBlockReadPK: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockRead_PK'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockReadPKBlockAddress: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockReadPK: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 40
          Top = 27
          Width = 98
          Caption = 'READ'
          OnClick = btnBlockReadPKClick
          TabOrder = 1
        end
        object txtBlockReadPK: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          ReadOnly = True
          TabOrder = 2
        end
        object chkBRHexPK: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          OnChange = chkBRHexPKChange
          TabOrder = 4
        end
      end
      object pnlBlockRead: TPanel
        Left = 0
        Height = 124
        Top = 4
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 0
        object lblBRBlockAddress: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblBRReadData: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 60
          Caption = 'Read Data'
          ParentColor = False
        end
        object lblBlockRead: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockRead'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockReadBlockAddress: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockRead: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 40
          Top = 27
          Width = 100
          Caption = 'READ'
          OnClick = btnBlockReadClick
          TabOrder = 1
        end
        object txtBlockRead: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          ReadOnly = True
          TabOrder = 2
        end
        object chkBRHex: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          OnChange = chkBRHexChange
          TabOrder = 4
        end
      end
    end
    object tabBlockWrite: TTabSheet
      Caption = 'BlockWrite'
      ClientHeight = 263
      ClientWidth = 530
      object pnlBlockWrite: TPanel
        Left = 0
        Height = 124
        Top = 4
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 0
        object lblBWBlockAddress: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblBWEnterData: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 61
          Caption = 'Enter Data'
          ParentColor = False
        end
        object lblBlockWrite: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockWrite'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockWriteBlockAddress: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockWrite: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 42
          Top = 27
          Width = 100
          Caption = 'WRITE'
          OnClick = btnBlockWriteClick
          TabOrder = 2
        end
        object txtBlockWrite: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          TabOrder = 1
        end
        object chkBWHex: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          TabOrder = 4
        end
      end
      object pnlBlockWriteAKM1: TPanel
        Left = 265
        Height = 124
        Top = 4
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 1
        object lblBWBlockAddressAKM1: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblEnterData: TLabel
          Left = 6
          Height = 13
          Top = 75
          Width = 61
          Caption = 'Enter Data'
          ParentColor = False
        end
        object lblBlockWrite_AKM3: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockWrite_AKM1'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockWriteBlockAddressAKM1: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockWriteAKM1: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 43
          Top = 27
          Width = 98
          Caption = 'WRITE'
          OnClick = btnBlockWriteAKM1Click
          TabOrder = 2
        end
        object txtBlockWriteAKM1: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          TabOrder = 1
        end
        object chkBWHexAKM1: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          TabOrder = 4
        end
      end
      object pnlBlockReadAKM4: TPanel
        Left = 0
        Height = 124
        Top = 132
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 2
        object lblBWBlockAddressAKM2: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblEnterDataAKM2: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 61
          Caption = 'Enter Data'
          ParentColor = False
        end
        object lblBlockWrite_AKM2: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockWrite_AKM2'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockWriteBlockAddressAKM2: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockWriteAKM2: TButton
          Cursor = crHandPoint
          Left = 147
          Height = 42
          Top = 26
          Width = 98
          Caption = 'WRITE'
          OnClick = btnBlockWriteAKM2Click
          TabOrder = 2
        end
        object txtBlockWriteAKM2: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          TabOrder = 1
        end
        object chkBWHexAKM2: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          TabOrder = 4
        end
      end
      object pnlBlockWritePK: TPanel
        Left = 265
        Height = 124
        Top = 132
        Width = 261
        BevelInner = bvRaised
        BorderStyle = bsSingle
        ClientHeight = 120
        ClientWidth = 257
        ParentColor = False
        TabOrder = 3
        object lblBWBlockAddressPK: TLabel
          Left = 7
          Height = 13
          Top = 33
          Width = 81
          Caption = 'Block Address'
          ParentColor = False
        end
        object lblEnterDataPK: TLabel
          Left = 7
          Height = 13
          Top = 75
          Width = 61
          Caption = 'Enter Data'
          ParentColor = False
        end
        object lblBlockWritePK: TStaticText
          Left = 2
          Height = 19
          Top = 2
          Width = 253
          Align = alTop
          Alignment = taCenter
          BorderStyle = sbsSingle
          Caption = 'BlockWrite_PK'
          Color = clSilver
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          Font.Style = [fsBold]
          ParentFont = False
          ParentColor = False
          TabOrder = 3
          Transparent = False
        end
        object txtBlockWritePKBlockAddress: TEdit
          Left = 96
          Height = 22
          Top = 30
          Width = 40
          Font.CharSet = ANSI_CHARSET
          Font.Color = clBlack
          Font.Height = -12
          Font.Name = 'Verdana'
          Font.Pitch = fpVariable
          Font.Quality = fqDraft
          ParentFont = False
          TabOrder = 0
        end
        object btnBlockWritePK: TButton
          Cursor = crHandPoint
          Left = 145
          Height = 42
          Top = 26
          Width = 98
          Caption = 'WRITE'
          OnClick = btnBlockWritePKClick
          TabOrder = 2
        end
        object txtBlockWritePK: TEdit
          Left = 6
          Height = 21
          Top = 91
          Width = 239
          TabOrder = 1
        end
        object chkBWHexPK: TCheckBox
          Left = 203
          Height = 19
          Top = 70
          Width = 42
          Caption = 'Hex'
          TabOrder = 4
        end
      end
    end
  end
end
